com.sun.grid.jgdi.event

## Class EventTypeMapping

- java.lang.Object
- - com.sun.grid.jgdi.event.EventTypeMapping

-     public class EventTypeMapping
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventTypeMapping()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventTypeEnum` | `getEventEnumType(int nativeEventId)`
    `static int` | `getNativeEventType(EventTypeEnum eventType)`
    `static void` | `registerEvent(java.lang.String eventTypeEnumName, int nativeEventId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventTypeMapping

          public EventTypeMapping()

  - ### Method Detail

    - #### getEventEnumType

          public static EventTypeEnum getEventEnumType(int nativeEventId)

    - #### registerEvent

          public static void registerEvent(java.lang.String eventTypeEnumName,
                                           int nativeEventId)

    - #### getNativeEventType

          public static int getNativeEventType(EventTypeEnum eventType)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.